
<!DOCTYPE html>
<!--
 Generated by Apache Maven Doxia at 2017-10-27
 Rendered using Reflow Maven Skin 1.1.1 (http://andriusvelykis.github.io/reflow-maven-skin)
-->
<html  xml:lang="en" lang="en">

	<head>
		<meta charset="UTF-8" />
		<title>Source Code Management | org.eclipse.papyrus.designer.components.tracing.feature</title>
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<meta name="description" content="" />
		<meta http-equiv="content-language" content="en" />
 
		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/bootstrap.min.css" rel="stylesheet" />
		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/bootstrap-responsive.min.css" rel="stylesheet" />
		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/docs.css" rel="stylesheet" />
		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/reflow-skin.css" rel="stylesheet" />


		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/lightbox.css" rel="stylesheet" />

		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/site.css" rel="stylesheet" />
		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/print.css" rel="stylesheet" media="print" />

		<!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
		<!--[if lt IE 9]>
			<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/html5.js"></script>
		<![endif]-->


		
<link rel="stylesheet" href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/highlightjs/default.min.css"></link>
<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/highlight.min.js"></script>
	</head>

	<body class="page-source-repository project-orgeclipsepapyrusdesignercomponentstracingfeature" data-spy="scroll" data-offset="60" data-target="#toc-scroll-target">

		<div class="navbar navbar-fixed-top">
			<div class="navbar-inner">
				<div class="container">
					<a class="btn btn-navbar" data-toggle="collapse" data-target="#top-nav-collapse">
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</a>
					<a class="brand" href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging/index.html">Papyrys <span class="color-highlight">Designer</span> Project</a>
					<div class="nav-collapse collapse" id="top-nav-collapse">
						<ul class="nav pull-right">
							<li ><a href="http://www.eclipse.org/papyrus" title="Papyrus" target="_blank" class="externalLink">Papyrus</a></li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Modules <b class="caret"></b></a>
								<ul class="dropdown-menu">
								</ul>
							</li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Parent <b class="caret"></b></a>
								<ul class="dropdown-menu">
									<li ><a href="../index.html" title="Designer Releng">Designer Releng</a></li>
								</ul>
							</li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Documentation <b class="caret"></b></a>
								<ul class="dropdown-menu">
									<li ><a href="../../developer/index.html" title="Developer">Developer</a></li>
									<li ><a href="../../pdf/developer-guide.pdf" title="Dev book pdf" target="_blank">Dev book pdf</a></li>
									<li ><a href="../../user/index.html" title="User">User</a></li>
									<li ><a href="../../pdf/user-guide.pdf" title="User book pdf" target="_blank">User book pdf</a></li>
								</ul>
							</li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Download <b class="caret"></b></a>
								<ul class="dropdown-menu">
									<li ><a href="http://download.eclipse.org/modeling/mdt/papyrus/components/designer/" title="Update Site" target="_blank" class="externalLink">Update Site</a></li>
									<li ><a href="http://download.eclipse.org/modeling/mdt/papyrus/components/designer/downloads/1.0.5/rcps/?d" title="RCP" target="_blank" class="externalLink">RCP</a></li>
									<li ><a href="http://download.eclipse.org/modeling/mdt/papyrus/components/designer/downloads/1.0.5/drops/?d" title="Drop" target="_blank" class="externalLink">Drop</a></li>
									<li ><a href="https://repo.eclipse.org/content/repositories/papyrus-releases/org/eclipse/papyrus/designer/" title="Nexus" target="_blank" class="externalLink">Nexus</a></li>
								</ul>
							</li>
						</ul>
					</div><!--/.nav-collapse -->
				</div>
			</div>
		</div>

	<div class="container">

	<!-- Masthead
	================================================== -->

	<header>
	<div class="jumbotron subhead">
		<div class="row" id="banner">
			<div class="span12">
				<div class="pull-left">
					<a href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging/index.html" id="bannerLeft"><h1>Eclipse <span class="color-highlight">Papyrus Designer</span> project</h1></a>
					<p class="lead">from design models to implementation.</p>
				</div>
				<div class="pull-right">
				</div>
			</div>
		</div>
	</div>
		<div>
			<ul class="breadcrumb">
				<li><a href="../../" title="Designer">Designer</a></li>
				<li class="divider">/</li>
				<li><a href="../" title="Designer Releng">Designer Releng</a></li>
				<li class="divider">/</li>
				<li><a href="./" title="org.eclipse.papyrus.designer.components.tracing.feature">org.eclipse.papyrus.designer.components.tracing.feature</a></li>
				<li class="divider">/</li>
				<li>Source Code Management</li>
			</ul>
		</div>
		<hr class="toc-separator" />
		<div id="toc-bar" class="navbar" data-spy="affix" data-offset-top="250">
			<div class="navbar-inner">
				<div id="toc-scroll-target" class="container">
					<a class="btn btn-navbar" data-toggle="collapse" data-target="#toc-nav-collapse">
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</a>
					<div class="nav-collapse collapse" id="toc-nav-collapse">
						<ul id="toc" class="nav">
						<li class="toplevel"><a href="#Overview" title="Overview">Overview</a></li>
						<li class="divider-vertical"></li>
						<li class="toplevel"><a href="#Web_Browser_Access" title="Web Browser Access">Web Browser Access</a></li>
						<li class="divider-vertical"></li>
						<li class="toplevel"><a href="#Anonymous_Access" title="Anonymous Access">Anonymous Access</a></li>
						<li class="divider-vertical"></li>
						<li class="toplevel"><a href="#Developer_Access" title="Developer Access">Developer Access</a></li>
						<li class="divider-vertical"></li>
						<li class="toplevel"><a href="#Access_from_Behind_a_Firewall" title="Access from Behind a Firewall">Access from Behind a Firewall</a></li>
						</ul>
					</div>
				</div>
			</div>
		</div>
	</header>

	<div class="main-body">
	<div class="row">
		<div class="span12">
			<div class="body-content">
<div class="section"> 
 <div class="page-header">
  <h2 id="Overview">Overview</h2>
 </div> 
 <a name="Overview"></a> 
 <p>This project uses <a class="externalLink" href="http://git-scm.com/">Git</a> to manage its source code. Instructions on Git use can be found at <a class="externalLink" href="http://git-scm.com/documentation">http://git-scm.com/documentation</a>.</p> 
</div> 
<div class="section"> 
 <h2 id="Web_Browser_Access">Web Browser Access</h2> 
 <a name="Web_Browser_Access"></a> 
 <p>The following is a link to a browsable version of the source repository:</p> 
 <div class="source"> 
  <pre><a class="externalLink" href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus-designer.git/org.eclipse.papyrus.designer.releng/org.eclipse.papyrus.designer.components.tracing.feature">https://git.eclipse.org/c/papyrus/org.eclipse.papyrus-designer.git/org.eclipse.papyrus.designer.releng/org.eclipse.papyrus.designer.components.tracing.feature</a></pre> 
 </div> 
</div> 
<div class="section"> 
 <h2 id="Anonymous_Access">Anonymous Access</h2> 
 <a name="Anonymous_Access"></a> 
 <p>The source can be checked out anonymously from Git with this command (See <a class="externalLink" href="http://git-scm.com/docs/git-clone">http://git-scm.com/docs/git-clone</a>):</p> 
 <div class="source"> 
  <pre>$ git clone git://git.eclipse.org/gitroot/papyrus/org.eclipse.papyrus-designer.git</pre> 
 </div> 
</div> 
<div class="section"> 
 <h2 id="Developer_Access">Developer Access</h2> 
 <a name="Developer_Access"></a> 
 <p>Only project developers can access the Git tree via this method (See <a class="externalLink" href="http://git-scm.com/docs/git-clone">http://git-scm.com/docs/git-clone</a>).</p> 
 <div class="source"> 
  <pre>$ git clone ssh://git.eclipse.org/gitroot/papyrus/org.eclipse.papyrus.tools.git</pre> 
 </div> 
</div> 
<div class="section"> 
 <h2 id="Access_from_Behind_a_Firewall">Access from Behind a Firewall</h2> 
 <a name="Access_from_Behind_a_Firewall"></a> 
 <p>Refer to the documentation of the SCM used for more information about access behind a firewall.</p> 
</div>
			</div>
		</div>
	</div>
	</div>

	</div><!-- /container -->

	<!-- Footer
	================================================== -->
	<footer class="well">
		<div class="container">
			<div class="row">
				<div class="span3 bottom-nav">
					<ul class="nav nav-list">
						<li class="nav-header">DevLinks</li>
						<li >
							<a href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus-designer.git" title="SourceCode by Git" target="_blank" class="externalLink">SourceCode by Git</a>
						</li>
						<li >
							<a href="https://repo.eclipse.org/index.html#welcome" title="Repository by Nexus" target="_blank" class="externalLink">Repository by Nexus</a>
						</li>
						<li >
							<a href="https://hudson.eclipse.org/papyrus/view/Designer/" title="Integration by Hudson" target="_blank" class="externalLink">Integration by Hudson</a>
						</li>
						<li class="nav-header">References</li>
					</ul>
				</div>
				<div class="span3 bottom-nav">
					<ul class="nav nav-list">
						<li class="nav-header">Modules</li>
						<li class="nav-header">Parent</li>
						<li >
							<a href="../index.html" title="Designer Releng">Designer Releng</a>
						</li>
					</ul>
				</div>
				<div class="span3 bottom-nav">
					<ul class="nav nav-list">
						<li class="nav-header">Maven documentation</li>
						<li class="active">
							<a href="project-info.html" title="Project Information">Project Information <i class="icon-chevron-down"></i></a>
							<ul class="nav nav-list">
						<li >
							<a href="index.html" title="About">About</a>
						</li>
						<li >
							<a href="team-list.html" title="Team">Team</a>
						</li>
						<li >
							<a href="integration.html" title="CI Management">CI Management</a>
						</li>
						<li >
							<a href="issue-tracking.html" title="Issue Management">Issue Management</a>
						</li>
						<li >
							<a href="license.html" title="Licenses">Licenses</a>
						</li>
						<li class="active">
							<a href="#" title="Source Code Management">Source Code Management</a>
						</li>
							</ul>
						</li>
						<li >
							<a href="project-reports.html" title="Project Reports">Project Reports <i class="icon-chevron-right"></i></a>
						</li>
					</ul>
				</div>
				<div class="span3 bottom-description">
					<blockquote>Eclipse <span class="color-highlight">Papyrus Software Designer</span> project. Design your object-oriented or component-based application model and generate C++ or Java code. Reverse engineering from existing source code is also supported. State-chart code generation is provided through model-to-model transformations that are executed on an intermediate model prior to code generation. Component-based modeling is supported via the new OMG standard UCM. Deployment and configuration is possible via a deployment plan, a set of instance specifications with allocation information.</blockquote>
				</div>
			</div>
		</div>
	</footer>

	<div class="container subfooter">
		<div class="row">
			<div class="span12">
				<p class="pull-right"><a href="#">Back to top</a></p>
				<p class="copyright">Copyright &copy;2016-2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All Rights Reserved.</p>
				<p class="version-date"><span class="projectVersion">Version: 0.7.6. </span><span class="publishDate">Last Published: 2017-10-27. </span></p>
				<p><a href="http://github.com/andriusvelykis/reflow-maven-skin" title="Reflow Maven skin">Reflow Maven skin</a> by <a href="http://andrius.velykis.lt" target="_blank" title="Andrius Velykis">Andrius Velykis</a>.</p>
			</div>
		</div>
	</div>

	<!-- Le javascript
	================================================== -->
	<!-- Placed at the end of the document so the pages load faster -->
	<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/jquery.min.js"></script>

	<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/bootstrap.min.js"></script>
	<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/lightbox.min.js"></script>
	<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/reflow-scroll.js"></script>
	
<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/highlight.min.js"></script>
<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/jquery.min.js"></script>
	<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/reflow-skin.js"></script>

	</body>
</html>
